Two scenarios automate the flow and keep it up to date. The [Overnight Batch](scenario:Overnight_Batch) adds the previous day's data and updates the models. The [Real Time Risk Scoring](scenario:Real_Time_Risk_Scoring) retrieves the most recent news, processes and scores them to feed the WebApp.

# Overnight Batch

This scenario is run daily at midnight UTC. It starts by adding a partition with the previous day data in [stock_prices](dataset:stock_prices). Then it rebuilds all the datasets until the clustering model. It retrains the model with the modified data. On the news side, it retrieves the previous day data and adds it to the [news_folder](managed_folder:70MfeR7L). All the datasets are rebuilt until the News Scoring model which is also rebuilt using the updated data. Finally the downstream datasets are rebuilt.

# Real Time Risk Scoring

This scenario involves rebuilding the whole real time data flow and uses the News Model to score the updated data. Once the final datasets are rebuilt, the [Stock Alert System Dashboard](web_app:0a0bFw3)'s backend is restarted to take into account the new data.

# Follow Up

Each time the Real Time Risk Scoring is run, it would be possible to have a reporter send an email with the stocks that pass a given volatility score threshold. This is configurable in the scenario menu. The email could give the scores of these top stocks and a link to the webapp to further analyze.