The input zones manage all the incoming data of the project.
 
The first one is called [Input Data](flow_zone:yfePaaY) and contains the dataset [tickers_list](dataset:tickers_list) which is the list of tickers on which the analysis will be run. This dataset can be input by the user through the [Dataiku Application](article:6). It is then used to retrieve the other data inputs which are the stock prices and the news.
 
The [Partitioned Input Data](flow_zone:6TKlvS2) is in charge of retrieving the stock prices. The dataset is partitioned by date to enable it to build only one incremental partition each day instead of rebuilding the whole dataset. The grouping recipe then ensures that in our stock prices data set, we don't have any duplicates.
 
![Partitionned Input Data.png](GQpbvbv7ztb8)
 
In the [Extra Financial Feed](flow_zone:kLHDojR) zone, the news is retrieved and prepared. A first python recipe retrieves the news and puts them in a folder with one file per day and stock. Then a second python recipe goes through the folder and creates the flat file containing all the needed information. In the group recipe, titles are concatenated to have only one line per stock and day. And finally a prepare recipe processes the text to normalize, stem and clear stop words, and parse dates.
 
![Extra Financial Feed.png](9NMfJr0Cnlbg)
 
The [Real Time Data](flow_zone:gG9qKCC) zone is very similar to the [Extra Financial Feed](flow_zone:kLHDojR) but the data retrieved is only for the current day. The same aggregation and preparation is done to create the dataset to score stocks [news_today_grouped_scored](dataset:news_today_grouped_scored). And news are also processed without grouping to score them individually in [news_today_prepared](dataset:news_today_prepared).
 
![Real Time Data.png](RUtFPXqU7beb)
 